Remove dashboard user account
/scim/v2/Users/{id}
Use this endpoint to permanently delete an existing dashboard user by specifying the resource
idreturned by the SCIMPOSTmethod.
This is similar to deleting a user in the Company Users section of the Braze dashboard.

This endpoint requires the custom SCIM integration. If you set up an identity provider (IdP) integration (Okta or Entra ID), you can’t use this endpoint; only one SCIM bridge can be set up per company.
Prerequisites
To use this endpoint, you’ll need a SCIM token. You’ll use your service origin as the X-Request-Origin header. For more information, refer to Automated user provisioning.
Rate limit
This endpoint has a rate limit of 20,000 requests per day, per company. This rate limit is shared with the /scim/v2/Users/ PUT, GET, and POST endpoints as documented in API rate limits.
Path parameters
| Parameter | Required | Data Type | Description |
|---|---|---|---|
id |
Required | String | The user’s resource ID. This parameter is returned by the POST /scim/v2/Users/ or GET /scim/v2/Users?filter=userName eq "[email protected]" methods. |
Request body
1
2
3
Content-Type: application/json
X-Request-Origin: YOUR-REQUEST-ORIGIN-HERE
Authorization: Bearer YOUR-SCIM-TOKEN-HERE
Example request
1
2
3
4
curl --location --request DELETE 'https://rest.iad-01.braze.com/scim/v2/Users/dfa245b7-24195aec-887bb3ad-602b3340' \
--header 'Content-Type: application/json' \
--header 'X-Request-Origin: YOUR-REQUEST-ORIGIN-HERE' \
--header 'Authorization: Bearer YOUR-SCIM-TOKEN-HERE' \
Response
Example success response
When the user is permanently deleted, the endpoint returns:
1
HTTP/1.1 204 No Content
Example error responses
If a developer with this ID doesn’t exist in Braze, the endpoint responds with:
1
2
3
4
5
6
7
8
HTTP/1.1 404 Not Found
Content-Type: text/html; charset=UTF-8
{
"schemas": ["urn:ietf:params:scim:api:messages:2.0:Error"],
"detail": "User not found",
"status": 404
}
If you attempt to delete the last remaining company user, the endpoint returns a 500 Internal Server Error response and doesn’t delete the user:
1
2
3
4
5
6
7
8
HTTP/1.1 500 Internal Server Error
Content-Type: application/json
{
"schemas": ["urn:ietf:params:scim:api:messages:2.0:Error"],
"detail": "Failed to delete user",
"status": 500
}